Installing Pathways Lite for Confluence Leads to Plugins Timeout Error

Summary

When installing Pathways Lite for Confluence, the process will cause a plugin timeout error:

2018-10-29 16:00:19,949 ERROR [UpmAsynchronousTaskManager:thread-2] [atlassian.plugin.manager.PluginEnabler]actualEnable Unable to start the following plugins due to timeout while waiting for plugin to enable: com.servicerocket.confluence.pathways.lite
– url: /confluence/rest/plugins/1.0/ | referer: [redacted]/confluence/plugins/servlet/upm/marketplace/search?q=path | traceId: d34782e2086f7dd4 | userName: admin
2018-10-29 16:00:19,858 ERROR [UpmAsynchronousTaskManager:thread-2] [plugin.osgi.factory.OsgiPlugin]logAndClearOustandingDependencies Plugin 'com.servicerocket.confluence.pathways.lite' never resolved service '&localNotificationService' with filter '(objectClass=com.atlassian.mywork.service.LocalNotificationService)'
2018-10-29 16:00:19,855 INFO [UpmAsynchronousTaskManager:thread-2] [atlassian.plugin.manager.DefaultPluginManager]broadcastPluginDisabling Disabling com.servicerocket.confluence.pathways.lite
– referer: [redacted]/confluence/pages/viewpage.action?pageId=3408505 | url: /confluence/rest/highlighting/1.0/panel-items | traceId: e91e7c6799c8d7b3

Environment

  • All supported Confluence versions

  • All supported Pathways Lite versions

Cause

The error is caused by disabled Workbox System apps.

Resolution

Confirm that the following system apps are enabled:

  • Workbox - Common Plugin
  • Workbox - Confluence Provider 

  • Plugin Workbox - Host Plugin